List monitored companies
curl --request GET \
--url https://api.topograph.co/v2/monitors \
--header 'x-api-key: <api-key>'import requests
url = "https://api.topograph.co/v2/monitors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.topograph.co/v2/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monitors": [
{
"id": "cmfzlu1dt000j12ldeqrfszq0",
"companyId": "123456789",
"countryCode": "DE",
"companyName": "Topograph SAS",
"metadata": {
"caseId": "case-12345"
}
}
],
"total": 10,
"hasNextPage": true,
"nextCursor": "cmfzlu1dt000j12ldeqrfszq0"
}Monitors
List monitored companies
GET
/
v2
/
monitors
List monitored companies
Authorizations
Query Parameters
Filter by company ID
Example:
"123456789"
Filter by country code (ISO 2-letter)
Available options:
AT, BE, BG, CH, CN, CZ, CY, DE, DK, EE, ES, FI, FR, GB, GG, GR, HK, HR, HU, IE, IS, IT, JE, LI, LU, LV, MC, MT, MU, NL, NO, PL, PT, RO, RU, SE, SG, SI, SK, VG Example:
"DE"
Cursor for pagination
Example:
"cmfzlu1dt000j12ldeqrfszq0"
Number of items to fetch (default: 50)
Required range:
x >= 1Example:
25
Response
List of monitors